Kevin Vance - Every function and GUI item I need for Handhelj 1.3.0beta1 is…

Entries | Archive | Friends | Friends' Friends | User Info

03:03 pm

Sunday, January 5th, 2003
Previous Entry Share Next Entry
Every function and GUI item I need for Handhelj 1.3.0beta1 is finished. The only thing left (the most annoying thing) is getting it to work on everything from PalmOS 2.0 to 5.0. There are so many inconsistancies between every version of PalmOS...

I developed it using mostly the US 4.5 debug ROM and Japanese 4.5 ROM (to really test UTF-8). The buttonbar looks awful for <3.5. The menubar doesn't even work on 2.0. The colormode toggle crashes 3.5. I don't even /have/ an emulator for 5.0, because it's windows only and I haven't tried very hard to get it to run under WINE.

Still, I would rather waste the time making sure it runs on everything (in the emulator, at least) than be a jerk and require some whizbang new version of PalmOS that nobody has.

Maybe I'll take a break and do the web page for Handhelj now. The last time I did a website, Netscape 4 was my browser of choice, so there should be some new stuff to learn :P

Current Mood busy
Current Music Audioplacid - Nevada
Link )Reply )

Comments
[User Picture]From: bitman
2003-01-05 01:21 pm (UTC)
Heh. You could just make several different releases for each PalmOS. lol.
(Reply) (Thread)
[User Picture]From: kvance
2003-01-07 04:08 am (UTC)
It's easy to tell what version is running, and do fixes based on that. I'd guess that most palm users have no idea what version of the OS they have.
(Reply) (Parent) (Thread)
[User Picture]From: gregw
2003-01-05 09:51 pm (UTC)
Do you still have to have 2.0 compatibility? Wouldn't 3.0 and higher do it?
(Reply) (Thread)
[User Picture]From: kvance
2003-01-07 04:03 am (UTC)
I still use 2.0 :(
(Reply) (Parent) (Thread)